// ignore: library_names
library Custom_Progress_Indicator;

import 'package:flutter/material.dart';
//import 'package:percent_indicator/circular_percent_indicator.dart';

import 'progresscolor.dart';

class CustomCircularIndicator extends StatefulWidget {
  final double sizeboxheight;
  final double sizeboxwidth;
  final int startcolor;
  final int endcolor;
  final linewidth;
  //final progresscolor;

  CustomCircularIndicator({
    required this.sizeboxheight,
    required this.sizeboxwidth,
    required this.startcolor,
    required this.endcolor,
    required this.linewidth

    //this.progresscolor //= currentProgressColor(progress1, progress2, progress3, progress4),
  });

  @override
  _CustomCircularIndicatorState createState() =>
      _CustomCircularIndicatorState();
}

class _CustomCircularIndicatorState extends State<CustomCircularIndicator> {
  double progress = 0.6;

  @override
  Widget build(BuildContext context) {

    return Center(
      child: SizedBox(
        width: widget.sizeboxwidth,
        height: widget.sizeboxheight,
        child: CustomPaint(
          painter: GradientArcPainter(
            progress: progress,
            startColor: Color(widget.startcolor),
            endColor: Color(widget.endcolor),
            width: widget.linewidth,
          ),
          child: Center(child: Text('$progress')),
        ),
      ),
    );
  }
}
